%define installdir %apache_htdocsdir/addon-modules/horde/mnemo

Name: horde3-mnemo
Version: 2.0.1
Release: alt1

Summary: Mnemo is the Horde task list application, H3 branch
License: GPL
Group: Networking/Mail
URL: http://www.horde.org/

Source: mnemo-h3-%version.tar.gz
Source1: mnemo.conf
BuildArchitectures: noarch

Requires: php >= 4.2.1
Requires: mod_php php-domxml
Requires: pear >= 1.3.1
Requires: horde3
Requires: apache-common >= 1.3.31rusPL30.20-alt10
# apache-devel needed for %apache* macroses
# perl-DBI needed to make find-requires happy
BuildPreReq: apache-devel

%description
Mnemo is the Horde notes and memos application.  It lets users keep free-text
notes and other bits of information which doesn't fit as a contact, a todo
item, an event, etc.  It is very similar in functionality to the Palm Memo
application.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with IMP)
please visit http://www.horde.org/.

%prep
%setup -q -n mnemo-h3-%version

%build

%install
%__mkdir_p %buildroot%apache_addonconfdir.d
%__cp %SOURCE1 %buildroot%apache_addonconfdir.d
%__mkdir_p %buildroot%installdir
%__cp --preserve -pR * %buildroot%installdir
cd %buildroot%installdir/config
for d in *.dist; do
	d0=`basename $d .dist`
	if [ ! -f "$d0" ]; then
		cp -p $d $d0
	fi
done
touch conf.php

%pre

%post
# post-install instructions:

# patching old type of httpd.conf
if egrep -q "^Include conf/addon-modules.?d?/mnemo.conf" %apache_conf; then
    %__subst "/Include conf\/addon-modules\/mnemo.conf/d" %apache_conf
    %__subst "/Include conf\/addon-modules.d\/mnemo.conf/d" %apache_conf
fi

if ! grep -q "^Include conf/addon-modules.d/\*.conf" %apache_conf; then
    echo "Include conf/addon-modules.d/mnemo.conf" >> %apache_conf
fi

/sbin/service httpd condrestart

cat <<_EOF_
You must manually configure Mnemo!
See %installdir/docs/INSTALL
_EOF_

%postun
if [ $1 -eq 0 ]; then
	if [ -f %apache_conf ] ; then
		grep -q "^Include conf/addon-modules.d/mnemo.conf" %apache_conf &&
			%__subst "/Include conf\/addon-modules.d\/mnemo.conf/d" %apache_conf
		/sbin/service httpd condrestart
	fi
fi

%files
%config(noreplace) %apache_addonconfdir.d/mnemo.conf
%dir %installdir
# Include top-level files by hand
%installdir/*.php
%installdir/lib
%installdir/locale
%installdir/po
%installdir/scripts
%installdir/themes
%installdir/templates
# Mark documentation files with %doc and %docdir
%doc %installdir/LICENSE
%doc %installdir/README
%docdir %installdir/docs
%installdir/docs
# Mark configuration files with %config and use secure permissions
# (note that .dist files are considered software; don't mark %config)
%attr(750,root,%apache_group) %dir %installdir/config
%defattr(640,root,%apache_group)
%installdir/config/.htaccess
%installdir/config/*.dist
%installdir/config/*.xml
%config(noreplace) %installdir/config/*.php

%changelog
* Wed Jun 15 2005 Leonid Shalupov <shalupov@altlinux.ru> 2.0.1-alt1
- Sisyphus build

* Sat Feb 19 2005 Leonid Shalupov <shalupov@altlinux.ru> 2.0.1-ucvt1
- Initial build
